package persistenza.test;

import java.sql.Connection;
import junit.framework.TestCase;
import persistenza.DAOException;
import persistenza.DataSource;

public class TestDataSource extends TestCase {
    
    private DataSource dataSource;
    
    protected void setUp() {
        dataSource = DataSource.getInstance();
    }
    
    public void testGetConnection() {
        System.out.println("testGetConnection");
        assertTrue("data source non nulla", dataSource != null);
        Connection connection = null;
        try {
            connection = dataSource.getConnection();
            assertTrue("connessione non nulla", connection != null);
        } catch (DAOException sqle) {
            System.out.println(sqle);
            fail();
        } finally {
            dataSource.close(connection);
        }
    }
    
}
